import { useState } from 'react';

import {
    Radio
} from '@mantine/core';

import { sprintf, __ } from "@wordpress/i18n";



export default function CourseNavigation(props) {
    const { form } = props;

    return (
        <>
            <div>
                <Radio.Group mt={15} className="ir-parent-settings-label"
                    name="progression_disabled"
                    orientation="vertical"
                    label={sprintf(__('%s Progression', 'wdm_instructor_role'), ir_fcb_loc.course_label)}
                    defaultValue="linear"
                    {...form.getInputProps('progression_disabled')}
                >
                    <Radio value="linear" label={__('Linear', 'wdm_instructor_role')} description={sprintf(__('Requires the user to progress through the %s in the designated step sequence.', 'wdm_instructor_role'), ir_fcb_loc.lower_course_label)}
                    />
                    <Radio value="free" label={__('Free form', 'wdm_instructor_role')} description={sprintf(__('Allows the user to move freely through the %s without following the designated step sequence.', 'wdm_instructor_role'), ir_fcb_loc.lower_course_label)}
                    />

                </Radio.Group>
            </div>
        </>
    );
}