import { useState, useEffect } from 'react';
import { useForm } from '@mantine/form';
import {
    AppShell,
    Navbar,
    Header,
    Accordion,
    MantineProvider,
    Text,
    Title,
    Grid,
    Paper,
    Input,
    Checkbox,
    Button,
    Group,
    Space,
    Center,
    CloseButton,
    Skeleton,
    TextInput,
    Modal,
    Tabs,
    FileButton,
    Switch,
    Radio,
    NumberInput,
    MultiSelect,
    Loader,
    Divider, 
    Textarea,
    Image,
    Anchor
} from '@mantine/core';

import { Upload, Trash, PhotoUp } from 'tabler-icons-react';
import { __ } from "@wordpress/i18n";
import apiFetch from '@wordpress/api-fetch';
import { MediaUpload } from '@wordpress/media-utils';


export default function QuizPage(props) {
    let timer = 0;
    const [file, setFile] = useState(File | null > (null));
    const [data, setData] = useState([
        { value: 'elearning', label: 'E-Learning' },
        { value: 'education', label: 'Education' },
        { value: 'lms', label: 'LMS' },
        { value: 'wc', label: 'Ecommerce' },
    ]);

    return (
        <>  
            <Grid>
                <Grid.Col span={8}>
                    <Paper radius="xl" p="xl" className="ir-fed-course-page">
                        <Group align="center" mt={10}>
                            <TextInput className="ir-tt-text ir-parent-settings"
                                label={__('QUIZ TITLE', 'wdm_instructor_role')}
                                placeholder={__('Write title here', 'wdm_instructor_role')}
                                size="lg"
                            />
                        </Group>
                        <Group className="ir-link-section" align="center" mt={20} pl={10} spacing="xs">
                            <Text>Quiz URL:</Text>
                            <Anchor color="#2067FA" size="sm">  
                                http://www.example.com/quizzes/test
                            </Anchor>
                            <Button size="xs" className="ir-btn-outline">Edit</Button>
                        </Group>
                        <Group mb={34} mt={30} p={8} className="ir-featured-image-section">
                            <Group>
                                <img src={require('/images/featured-placeholder.png')} />
                                <Button fw={400} className="ir-btn-subtle" onClick={open} leftIcon={<PhotoUp size={23} strokeWidth={1} />}  >{__('Set Featured Image', 'wdm_instructor_role')}</Button>
                            </Group>
                        </Group>
                        <Text mb={5} className="ir-parent-settings" size="lg">{sprintf(__('%s Description', 'wdm_instructor_role'), 'quiz')}</Text>
                        <img className="tinyimg" src={require('/images/tiny.png')}
                        />
                        <Textarea 
                            className="ir-tiny-mce-editors dummy-textarea"
                            id="ir-quiz-content-editor"
                        />
                    </Paper>
                </Grid.Col>
                <Grid.Col span={4}>
                    <Paper radius="xl" p="xl">
                        <Group spacing="xs" mb={34} className="ir-fc-100">
                            <Text className="ir-parent-settings" size="lg" width="100%">{__('TAGS AND CATEGORIES', 'wdm_instructor_role')}</Text>
                            <Accordion width="100%" variant="contained" radius="md" defaultValue="customization">
                                <Accordion.Item value="ld_quiz_tag">
                                    <Accordion.Control>
                                        {sprintf(__('%s Tags', 'wdm_instructor_role'), 'Quiz')}
                                        
                                    </Accordion.Control>
                                    <Accordion.Panel>
                                       
                                    </Accordion.Panel>
                                </Accordion.Item>

                                <Accordion.Item value="ld_quiz_category">
                                    <Accordion.Control>
                                        {sprintf(__('%s Categories', 'wdm_instructor_role'), 'Quiz')}
                                        
                                    </Accordion.Control>
                                    <Accordion.Panel>
                                       
                                    </Accordion.Panel>
                                </Accordion.Item>
                            </Accordion>
                        </Group>
                    </Paper>
                </Grid.Col>
            </Grid>
        </>
    );
}