import { useState, useEffect } from 'react';
import { useForm } from '@mantine/form';
import {
    AppShell,
    Navbar,
    Header,
    Accordion,
    MantineProvider,
    Text,
    Title,
    Grid,
    Paper,
    Input,
    Checkbox,
    Button,
    Group,
    Space,
    Center,
    CloseButton,
    Skeleton,
    TextInput,
    Modal,
    Tabs,
    FileButton,
    Switch,
    Radio,
    NumberInput,
    MultiSelect,
    Loader,
    Divider
} from '@mantine/core';
import { __ } from "@wordpress/i18n";
import { Upload, ChevronLeft } from 'tabler-icons-react';
import { RichTextEditor } from '@mantine/rte';
import DummyPage from '/src/quiz-builder/components/dummyPages/dummyPage.js';
export default function DummyQuizPage(props) {
	const [file, setFile] = useState(File | null > (null));
	const [data, setData] = useState([
	    { value: 'elearning', label: 'E-Learning' },
	    { value: 'education', label: 'Education' },
	    { value: 'lms', label: 'LMS' },
	    { value: 'wc', label: 'Ecommerce' },
	]);
	return(
		<>
			<div className="ir-fed-header" height={150} span={4} offset={8} mb={40}>
                <Group className="ir-header-top" height='80px' position='apart' align="center" pl={25} pr={35}>
                    <Group align="center">
                        <Button component="a" href="#" variant="subtle" leftIcon={<ChevronLeft size={20} />}>
                            {__('Course', 'wdm_instructor_role')}
                        </Button>
                        <Title className="ir-course-title" order={2} color="#A0A3BD">
                            <Skeleton height={35} width={177} />
                        </Title>
                    </Group>
                    <Group>
                        <Button className="ir-btn-outline" variant="outline" radius="md" size="sm" >{__('Save to Draft', 'wdm_instructor_role')}</Button>
                        <Button className="ir-publish ir-btn-filled" variant="filled" radius="md" size="sm" color="#2067FA" >{__('Publish', 'wdm_instructor_role')}</Button>
                    </Group>
                </Group>
                <Group className="ir-header-bottom" position='left' align="center">
                    <Tabs defaultValue="ir-quiz-page" className="ir-fed-tabs">
                        <Tabs.List>
                            <Tabs.Tab value="ir-quiz-page">Quiz Page</Tabs.Tab>
                            <Tabs.Tab value="ir-quiz-builder">
                                Builder
                            </Tabs.Tab>
                            <Tabs.Tab value="ir-quiz-settings">
                                Settings
                            </Tabs.Tab>
                        </Tabs.List>
                        <Tabs.Panel className="ir-main-panel" value="ir-quiz-page">
                            <DummyPage />
                        </Tabs.Panel>
                        <Tabs.Panel className="ir-main-panel" value="ir-quiz-builder">
                            
                        </Tabs.Panel>
                        <Tabs.Panel className="ir-main-panel" value="ir-quiz-settings">
                            
                        </Tabs.Panel>
                    </Tabs>
                </Group>
            </div>
		</>
	)

}