<?php
/**
 * hide show menu template
 *
 * @since 4.3.1
 */
?>
<div class="wrap"><h1><?php esc_html_e( 'Instructor overview settings', 'wdm_instructor_role' ); ?></h1></div>

<!-- Alternate Approach -->
<form method="post">
	<p>
		<?php esc_html_e( 'This settings help to hide and show blocks on the instructor overview page.' , 'wdm_instructor_role' ); ?>
	</p>
	<table class="ir-overview-action-table">
		<tr>
			<td><?php esc_html_e( 'Course block', 'wdm_instructor_role' ); ?></td>
			<td>
				<label class="wdm-switch">	
				<input type="checkbox" name="ir_overview_settings[course_block]" <?php checked( isset($overview_settings['course_block']) ? $overview_settings['course_block'] : '' , 'on' ); ?>>
					<span class="wdm-slider round"></span>
				</label>
			</td>
		</tr>
		<tr>
			<td><?php esc_html_e( 'Student block', 'wdm_instructor_role' ); ?></td>
			<td>
				<label class="wdm-switch">
					<input type="checkbox" name="ir_overview_settings[student_block]" <?php checked( isset( $overview_settings['student_block'] ) ? $overview_settings['student_block'] : '' , 'on' ); ?>>
					<span class="wdm-slider round"></span>
				</label>
			</td>
		</tr>
		<tr>
			<td><?php esc_html_e( 'Products block', 'wdm_instructor_role' ); ?>
				<?php if( !wdmCheckWooDependency() || !class_exists( 'WooCommerce' ) ) : ?>
					<div class="tooltip">
						<span style="color:red;float:right;padding-right:5px;" class="dashicons dashicons-hidden"></span>
						<span class="tooltip-drop tooltip-top"><?php esc_html_e( 'Learndash woocommerce plugin is inactive.', 'wdm_instructor_role' ); ?></a></span>
					</div>
				<?php endif; ?>
			</td>
			<td>
				<label class="wdm-switch">
					<input type="checkbox" name="ir_overview_settings[product_block]" <?php checked( isset( $overview_settings['product_block'] ) ? $overview_settings['product_block'] : '' , 'on' ); ?>>
					<span class="wdm-slider round"></span>
				</label>
			</td>
		</tr>
		<tr>
			<td><?php esc_html_e( 'Earnings block', 'wdm_instructor_role' ); ?></td>
			<td>
				<label class="wdm-switch">
					<input type="checkbox" name="ir_overview_settings[earnings_block]" <?php checked( isset( $overview_settings['earnings_block'] ) ? $overview_settings['earnings_block'] : '' , 'on' ); ?>>
					<span class="wdm-slider round"></span>
				</label>
			</td>
		</tr>
		<tr>
			<td><?php esc_html_e( 'Course Reports block', 'wdm_instructor_role' ); ?></td>
			<td>
				<label class="wdm-switch">
					<input type="checkbox" name="ir_overview_settings[reports_block]" <?php checked( isset( $overview_settings['reports_block'] ) ? $overview_settings['reports_block'] : '' , 'on' ); ?>>
					<span class="wdm-slider round"></span>
				</label>
			</td>
		</tr>
		<tr>
			<td><?php esc_html_e( 'Submissions block', 'wdm_instructor_role' ); ?></td>
			<td>
				<label class="wdm-switch">
					<input type="checkbox" name="ir_overview_settings[submission_block]" <?php checked( isset($overview_settings['submission_block']) ? $overview_settings['submission_block'] : '', 'on' ); ?>>
					<span class="wdm-slider round"></span>
				</label>
			</td>
		</tr>
		<tr>
			<td colspan='2'><h3><?php esc_html_e( 'All Block Hidden Message settings', 'wdm_instructor_role' ); ?></h3>
			<?php esc_html_e( 'Configure the message that will be displayed when all blocks are hidden.', 'wdm_instructor_role' ); ?></td>
		</tr>
		<tr>
			<?php $data = isset($overview_settings['no_blocks_prompt_message']) ? $overview_settings['no_blocks_prompt_message'] : ''; ?>
			<td colspan='2'><input style='width:100%'  placeholder='<?php esc_html_e('No content to display', 'wdm_instructor_role' ); ?>' type="textarea" name="ir_overview_settings[no_blocks_prompt_message]" value="<?php echo $data; ?>" ></td>
		</tr>
	</table>
	<div style="padding-top:25px;">
				<span><?php submit_button( __( 'Save Settings' , 'wdm_instructor_role' ), 'primary', 'ir-save-overview-settings', false ); ?></span>	
				<span><?php submit_button( __( 'Reset Settings' , 'wdm_instructor_role' ), 'secondary', 'ir-reset-overview-settings', false ); ?></span>
	</div>
					
</form>
