(function ($) {
  "use strict";

  $(document).ready(function () {
    const { __, _x, _n, sprintf } = wp.i18n;
    $("#wb_wss_seller_user_roles").selectize({
      placeholder: __( "Select user role", "ld-dashboard" ),
      plugins: ["remove_button"],
    });
    $(".ld-dashboard-color").wpColorPicker();

    if (jQuery('.ld-dashboard-sharing-percentage-input').length) {
      jQuery('.ld-dashboard-sharing-percentage-input').on( 'keyup change', function(){
        let value = jQuery(this).val();
        if ( value > 0 ) {
          let remaining = 100 - value;
          if ( jQuery(this).hasClass('ld-dashboard-sharing-percentage-instructor') ) {
            jQuery('.ld-dashboard-sharing-percentage-admin').val(remaining);
          }
          if ( jQuery(this).hasClass('ld-dashboard-sharing-percentage-admin') ) {
            jQuery('.ld-dashboard-sharing-percentage-instructor').val(remaining);
          }
        } 
      });
    }

    if ( jQuery('.ld-dashboard-popular-course-checkbox').length ) {
      jQuery('.ld-dashboard-popular-course-checkbox').on('change',function(){
        jQuery('.ld-dashboard-popular-course-toggle').toggle();
      });
    }

    if ( jQuery('body').hasClass('post-type-withdrawals') ) {
      jQuery('.ld-dashboard-process-withrawal-request').on( 'click', function(){
        let id = jQuery(this).data('id');
        let type = 'reject';
        if ( jQuery(this).hasClass('ld-dashboard-approve-withrawal-request') ) {
          type = 'approve';
        }
        let cnf = confirm( __( 'Are you sure?', 'ld-dashboard' ) );
        if ( ! cnf ) {
          return false;
        }
        let params = {
          action: "ld_dashboard_process_withrawal_request",
          type: type,
          post_id: id,
          nonce: ld_dashboard_obj.field_ajax_nonce,
        };
        jQuery.ajax({
          url: ld_dashboard_obj.ajax_url,
          type: "post",
          data: params,
          success: function (response) {
            location.reload();
          },
        });
      });
    }

    jQuery(".ld-dashboard-setting-switch-all").on("change", function () {
      if ($(this).prop("checked") == true) {
        jQuery(".form-table")
          .find(".ld-dashboard-switch")
          .each(function () {
            jQuery(this).prop("checked", true);
          });
      } else {
        jQuery(".form-table")
          .find(".ld-dashboard-switch")
          .each(function () {
            jQuery(this).prop("checked", false);
          });
      }
    });

    if ($("#ld-instructor-commission-update-tbl").length) {
      var table = $("#ld-instructor-commission-update-tbl").DataTable({
        deferRender: true,
        ordering: true,
      });
    }
	
	/*
    if ($("#ld-instructor-commission-report").length) {
      var comm_table = $("#ld-instructor-commission-report").DataTable({
        searching: false,
        lengthChange: false,
        deferRender: true,
        ordering: true,
        paging: false,
        bInfo: false,
      });
    }
	*/

    /*================================================================================
		=            Ajax request to update individual instructor commission.            =
		================================================================================*/

    $(document).on("click", ".ld-update-instructor-commision", function (e) {
      e.preventDefault();
      var update_text = $(this).html();
      var update_btn = $(this);
      $(this).html( __( "Please wait ", "ld-dashboard" ) + '<i class="fa fa-spinner fa-spin"></i>');
      var input_id = $(this).data("id");
      var instructor_id = $(this).data("instructor-id");
      var instructor_commission = $("#" + input_id).val();

      if (instructor_id && instructor_commission) {
        var data = {
          action: "ld_ajax_update_instructor_commission",
          instructor_id: instructor_id,
          instructor_commission: instructor_commission,
          ajax_nonce: ld_dashboard_obj.ajax_nonce,
        };

        $.post(ld_dashboard_obj.ajax_url, data, function (response) {
          update_btn.html(update_text);
          $("#" + input_id).val(instructor_commission);
        });
      }
    });

    /*=====  End of Ajax request to update individual instructor commission.  ======*/

    /*============================================================================
		=            Instructor select event to generate commission data.            =
		============================================================================*/
	
	
    $("#ld-instructor-dropdown").on("change", function () {
		if ( $(this).val() != '') {
			$('#search-instructor').prop("disabled", false); 
		} else {
			$('#search-instructor').prop("disabled", true ); 
		}
		/*
      var instructor_id = this.value;
      if (instructor_id && instructor_id != "select") {
        $("#ld-instructor-commission-report tbody").html(
          '<div class="load-commission-data"><i class="ld-load-result fa fa-refresh fa-spin"></i></div>'
        );
        $("#ld-instructor-commission-report tfoot").html("");
        var data = {
          action: "ld_ajax_generate_instructor_data",
          instructor_id: instructor_id,
          ajax_nonce: ld_dashboard_obj.ajax_nonce,
        };
        $.post(ld_dashboard_obj.ajax_url, data, function (response) {
          var fun_response = JSON.parse(response);
          $("#ld-instructor-commission-report tbody").html(
            fun_response.tr_html
          );
          $("#ld-instructor-commission-report tfoot").html(
            fun_response.tfoot_html
          );
        });
      }
	  */
    });

    /*=====  End of Instructor select event to generate commission data.  ======*/

    /*====================================================
		=            Instructor pay unpaid amount            =
		====================================================*/

    $(document).on("click", ".instructor-pay-amount", function (e) {
      e.preventDefault();
      $(".ld-instructor-dialog").addClass("visible");

      var instructor_id = $(this).attr("data-instructor-id");
      var unpaid_earning = $(this).attr("data-unpaid-amt");
      var paid_earning = $(this).attr("data-paid-amt");
      var total_earning = $(this).attr("data-total-earning");

      //dialog view html
      $(".ld-dialog-paid-earning").html(paid_earning);
      $(".ld-dialog-unpaid-earning").html(unpaid_earning);

      //set values in hidden input
      $("#ld-instructor-id").val(instructor_id);
      $("#ld-paid-earning").val(paid_earning);
      $("#ld-unpaid-earning").val(unpaid_earning);
      $("#ld-total-earning").val(total_earning);
    });

    /*=====  End of Instructor pay unpaid amount  ======*/

    $(document).on("click", ".ld-instructor-trigger-pay", function () {
      var clk_obj = $(this);
      var pay_txt = $(this).html();

      var instructor_id = $("#ld-instructor-id").val();
      var unpaid_earning = $("#ld-unpaid-earning").val();
      var paid_earning = $("#ld-paid-earning").val();
      var total_earning = $("#ld-total-earning").val();

      var paying_amount = $("#ld-pay-amount").val();

      if (paying_amount > unpaid_earning) {
        $(".ld-pay-error").addClass("visible");
      }

      if (
        paying_amount &&
        instructor_id &&
        (paying_amount < unpaid_earning || paying_amount == unpaid_earning)
      ) {
        $(".ld-pay-error").removeClass("visible");
        $(clk_obj).html(pay_txt + ' <i class="fa fa-spinner fa-spin"></i>');
        var data = {
          action: "ld_ajax_pay_instructor_amount",
          instructor_id: instructor_id,
          paid_earning: paid_earning,
          paying_amount: paying_amount,
          total_earning: total_earning,
          ajax_nonce: ld_dashboard_obj.ajax_nonce,
        };

        $.post(ld_dashboard_obj.ajax_url, data, function (response) {
          $(".ld-instructor-dialog").removeClass("visible");
          $("#ld-pay-amount").val("");
          $(clk_obj).html(pay_txt);
          window.location.reload();
        });
      }
    });

    $(document).on("click", ".ld-instructor-dialog-cancel", function () {
      $(".ld-instructor-dialog").removeClass("visible");
      //dialog view html
      $(".ld-dialog-paid-earning").html("");
      $(".ld-dialog-unpaid-earning").html("");

      //set values in hidden input
      $("#ld-instructor-id").val("");
      $("#ld-paid-earning").val("");
      $("#ld-unpaid-earning").val("");
      $("#ld-total-earning").val("");
      $("#ld-pay-amount").val("");
    });

    jQuery('.ld-dashboard-set-instructor-commission-btn').on('click', function(){
      let userId = jQuery(this).data('user');
      let commissionHtml = '<input type="number" class="ld-dashboard-commission-value" min="0" max="100" value="0"><button class="ld-dashboard-set-instructor-commission" data-user="' + userId + '">' + __( 'Set %', 'ld-dashboard' ) + '</button>';
      jQuery(this).replaceWith(commissionHtml);
    });
    jQuery(document).on( 'click', '.ld-dashboard-set-instructor-commission', function(){
      let userId = jQuery(this).data('user');
      let commission = jQuery(this).prev('input').val();
      if (commission != '' ) {
        let params = {
          action: "ld_dashboard_set_instructor_commission",
          commission: commission,
          user_id: userId,
          nonce: ld_dashboard_obj.field_ajax_nonce,
        };
        jQuery.ajax({
          url: ld_dashboard_obj.ajax_url,
          type: "post",
          data: params,
          success: function (response) {
            location.reload();
          },
        });
      } else {
        alert( __( 'Please enter a valid number', 'ld-dashboard' ) );
      }
    });  

    if (jQuery('#ldd-add-new-instructor-form').length) {
      jQuery('.ldd-add-new-instructor-submit-btn').on('click', function(e) {
        e.preventDefault();
        jQuery('.ld-dashboard-add-instructor-message-container').html('');
        jQuery('#ldd-add-new-instructor-form').trigger('submit');
      });
      jQuery('#ldd-add-new-instructor-form').on('submit', function(e) {
        e.preventDefault();
        let fields = jQuery( this ).serializeArray();
        let formdata = [];
        let hasError = false;
        fields.forEach(( item ) => {
          formdata[ item.name ] = item.value;
        });
        if (! /^\w+([\.-]?\w+)*@\w+([\.-]?\w+)*(\.\w{2,3})+$/.test(formdata['email'])){
          displayRegisterMessageBox( __( 'Invalid email', 'ld-dashboard' ), 'error');
          hasError = true;
        } 
        if ( formdata['pass'] != formdata['confirm_pass'] ) {
          displayRegisterMessageBox( __('Password did not match.', 'ld-dashboard' ), 'error');
          hasError = true;
        }
        if (hasError) {
          return false;
        }
        let params = {
          action: "ld_dashboard_add_new_instructor_user",
          form_data: fields,
          nonce: ld_dashboard_obj.field_ajax_nonce,
        };
        jQuery.ajax({
          url: ld_dashboard_obj.ajax_url,
          type: "post",
          data: params,
          success: function (response) {
            let msg = '';
            if ( response == '' ) {
             jQuery('#ldd-add-new-instructor-form').trigger("reset");
              msg = __( 'Instructor created successfully.', 'ld-dashboard' );
              displayRegisterMessageBox(msg, 'success');
           } else {
              msg = response;
              displayRegisterMessageBox(msg, 'error');
           }
          },
        });
      });
    }

    function displayRegisterMessageBox(msg, status) {
      let classes = 'ld-dashboard-add-instructor-message';
      if ( status == 'success' ) {
        classes += ' ld-dashboard-add-instructor-message-success';
      } else if ( status == 'error' ) {
        classes += ' ld-dashboard-add-instructor-message-error';
      }
      jQuery('.ld-dashboard-add-instructor-message-container').append('<p class="'+ classes +'">' + msg + '</p>');
      setTimeout(function(){
        jQuery('.ld-dashboard-add-instructor-message-container').html('');
        jQuery('.ld-dashboard-add-instructor-message').removeClass('ld-dashboard-add-instructor-message-success');
        jQuery('.ld-dashboard-add-instructor-message').removeClass('ld-dashboard-add-instructor-message-error');
      }, 5000);
    }

    if ( jQuery('.wb-plugins_page_ld-dashboard-settings').length ) {
      jQuery('.wb-plugins_page_ld-dashboard-settings').find('tr').on( 'mouseover', function(){
        jQuery(this).find('.ld-dashboard-action-container').show()
      });
      jQuery('.wb-plugins_page_ld-dashboard-settings').find('tr').on( 'mouseleave', function(){
        jQuery(this).find('.ld-dashboard-action-container').hide()
      });
      jQuery('.ld-dashboard-action-single').on('click', function() {
        let type = '';
        let that = jQuery(this);
        let userId = jQuery(this).parent().data('id');
        if ( jQuery(this).hasClass('--approve') ) {
          type = 'approve';
        }
        if ( jQuery(this).hasClass('--reject') ) {
          type = 'reject';
          let con = confirm( __( 'Are you sure?', 'ld-dashboard' ) )
          if ( ! con ) {
            return;
          }
        }
        let params = {
          action: "ld_dashboard_set_instructor_role",
          user_id: userId,
          type: type,
          nonce: ld_dashboard_obj.field_ajax_nonce,
        };
        jQuery.ajax({
          url: ld_dashboard_obj.ajax_url,
          type: "post",
          data: params,
          success: function (response) {
            if (response != '') {
              location.reload();
            }
          },
        });
      })
    }

    if (jQuery("#ld_dashboard_field_restriction").length) {

      jQuery('.ld-dashboard-checkbox').on('click', function(){
        jQuery("#ld_dashboard_field_restriction").trigger("change");
      });

      jQuery(".ld-dashboard-fields-form-single").hide();
      displayGroupFieldsForm("course");
      jQuery("#ld_dashboard_field_restriction").on("change", function () {
        let group = jQuery(this).val();
        displayGroupFieldsForm(group);
      });
    }
    function displayGroupFieldsForm(group) {
      jQuery(".ld-dashboard-fields-form-single").each(function () {
        let currentGroup = jQuery(this).data("group");
        if (group == currentGroup) {
          let allChecked = true;
          jQuery(this).find('.ld-dashboard-checkbox').each( function(){
            if( ! jQuery(this).is(':checked') ) {
              allChecked = false;
              return false;
            }
          });
          if ( allChecked ) {
            jQuery(this).find('.ld-dashboard-setting-switch-all').prop('checked', true);
          } else {
            jQuery(this).find('.ld-dashboard-setting-switch-all').prop('checked', false);
          }
          
          jQuery(this).show();
          jQuery(this)
            .find(".ld-dashboard-checkbox")
            .each(function () {
              jQuery(this).addClass("ld-dashboard-switch");
            });
        } else {
          jQuery(this).hide();
          jQuery(this)
            .find(".ld-dashboard-checkbox")
            .each(function () {
              jQuery(this).removeClass("ld-dashboard-switch");
            });
        }
      });
    }
    // $( '.ld-dashboard-setting' ).each(function() {
    // 	var colorpicker_id = $(this).data('id');
    // 	if( $(this).prop("checked") == true ){
    //               $( '#' + colorpicker_id + '-bgcolor' ).show();
    //           } else {
    // 		$( '#' + colorpicker_id + '-bgcolor' ).hide();
    // 	}
    // });

    // $( '.ld-dashboard-setting' ).on( 'click', function () {
    // 	var colorpicker_id = $(this).data('id');
    // 	if( $(this).prop("checked") == true ){
    //               $( '#' + colorpicker_id + '-bgcolor' ).show(1000);
    //           } else {
    // 		$( '#' + colorpicker_id + '-bgcolor' ).hide(1000);
    // 	}
    // });

    $(document).on("click", ".ld-add-instructor-btn", function (e) {
      e.preventDefault();

      var $that = $(this);
      var post_id = $("#post_ID").val();

      $.ajax({
        url: ajaxurl,
        type: "POST",
        data: {
          post_id: post_id,
          action: "ld_dashboard_load_instructors_modal",
        },
        beforeSend: function () {
          $that.addClass("ld-dashboard-updating-message");
        },
        success: function (data) {
          if (data.success) {
            $(".ld-instructors-modal-wrap .modal-container").html(
              data.data.output
            );
            $(".ld-instructors-modal-wrap").addClass("show");
            $("body").addClass("ld-modal-show");
          }
        },
        complete: function () {
          $that.removeClass("ld-dashboard-updating-message");
        },
      });
    });

    $(document).on("click", ".modal-close-btn", function (e) {
      e.preventDefault();
      $(".ld-modal-wrap").removeClass("show");
      $("body").removeClass("ld-modal-show");
    });

    /* Delay Function */

    var ld_dashboard_delay = (function () {
      var timer = 0;
      return function (callback, ms) {
        clearTimeout(timer);
        timer = setTimeout(callback, ms);
      };
    })();
	
	var search_instructor;
    $(document).on("keyup", ".ld-instructors-modal-wrap .ld-instructor-modal-search-input", function (e) {
		e.preventDefault();

        var $that = $(this);
        var $modal = $(".ld-modal-wrap");
        
		var search_terms = $that.val();
		var post_id = $("#post_ID").val();		
		search_instructor = $.ajax({
			url: ajaxurl,
			type: "POST",
			data: {
			  post_id: post_id,
			  search_terms: search_terms,
			  action: "ld_dashboard_load_instructors_modal",
			},
			beforeSend: function () {
				if(typeof search_instructor !== 'undefined'){
					search_instructor.abort();
				}				
				$modal.addClass("loading");
			},
			success: function (data) {
			  if (data.success) {
				$(".ld-instructors-modal-wrap .modal-container").html(
				  data.data.output
				);
				$(".ld-instructors-modal-wrap").addClass("show");
				$("body").addClass("ld-modal-show");
			  }
			},
			complete: function () {
			  $modal.removeClass("loading");
			},
		});        
    });

    $(document).on("click", ".add_instructor_to_course_btn", function (e) {
      e.preventDefault();

      var $that = $(this);
      var $modal = $(".ld-modal-wrap");
      var post_id = $("#post_ID").val();
      var data =
        $modal.find("input").serialize() +
        "&post_id=" +
        post_id +
        "&action=ld_dashboard_add_instructors_to_course";

      $.ajax({
        url: ajaxurl,
        type: "POST",
        data: data,
        beforeSend: function () {
          $that.addClass("ld-updating-message");
        },
        success: function (data) {
          if (data.success) {
            $(".ld-available-instructors").html(data.data.output);
            $(".ld-modal-wrap").removeClass("show");
            $("body").removeClass("ld-modal-show");
          }
        },
        complete: function () {
          $that.removeClass("ld-updating-message");
        },
      });
    });

    $(document).on(
      "click",
      ".ld-instructor-delete-btn,.ld-instructor-delete-btn .dashicons dashicons-no",
      function (e) {
        e.preventDefault();

        var $that = $(this);
        var post_id = $("#post_ID").val();
        var instructor_id = $that
          .closest(".added-instructor-item")
          .attr("data-instructor-id");

        $.ajax({
          url: ajaxurl,
          type: "POST",
          data: {
            post_id: post_id,
            instructor_id: instructor_id,
            action: "ld_dashboard_detach_instructor",
          },
          success: function (data) {
            if (data.success) {
              $that.closest(".added-instructor-item").remove();
            }
          },
        });
      }
    );

    $(".ld_dashboard_upload_image").on("click", function (e) {
      e.preventDefault();
      var image_id = $(this).data("slug");
      var image = wp
        .media({
          title: "Upload Image",
          // mutiple: true if you want to upload multiple files at once
          multiple: false,
        })
        .open()
        .on("select", function (e) {
          // This will return the selected image from the Media Uploader, the result is an object
          var uploaded_image = image.state().get("selection").first();
          // We convert uploaded_image to a JSON object to make accessing it easier
          // Output to the console uploaded_image
          var image_url = uploaded_image.toJSON().url;
          $("#" + image_id).val(image_url);

          $("." + image_id).attr("src", image_url);
          $(".ld-display-" + image_id).show();
        });
    });

    $(document).on("click", ".ld-dashboard-image-close", function (e) {
      e.preventDefault();
      var image_del_id = $(this).data("slug");
      $("#" + image_del_id).val("");
      $("." + image_del_id).attr("src", "");
      $(".ld-display-" + image_del_id).hide();
    });
	
	$(document).on("change", "#search_by_user_id", function () {		
		$('form#search_email_logs').submit();
	});
	
	$('.ld-dashboard-date-picker').datepicker({beforeShow: ld_dashboard_customRange, dateFormat: "yy-mm-dd",});

	function ld_dashboard_customRange( input ){
		if (input.id == 'ld-dashboard-end-date') {
			var minDate = new Date($('#ld-dashboard-start-date').val());
			minDate.setDate(minDate.getDate() + 1)

			return {
				minDate: minDate

			};
		}
		
		if (input.id == 'ld-dashboard-start-date') {
			var maxDate = new Date($('#ld-dashboard-end-date').val());
			maxDate.setDate(maxDate.getDate() - 1)

			return {
				maxDate: maxDate

			};
		}
		return {}
	}
  });

  $(function () {
    var acc_elmt = document.getElementsByClassName("ld-dashboard-accordion");
    var k;
    for (k = 0; k < acc_elmt.length; k++) {
      acc_elmt[k].onclick = function () {
        this.classList.toggle("active");
        var panel = this.nextElementSibling;
        if (panel.style.maxHeight) {
          panel.style.maxHeight = null;
        } else {
          panel.style.maxHeight = panel.scrollHeight + "px";
        }
      };
    }
  });

  //Learndash prerequisites select
  $(function (){
    if ($('body').hasClass('learndash-screen') ){
      $("#learndash-course-access-settings_course_prerequisite > option").each(function () {
        $(this).attr('selected', 'selected');
      });
    }
  });
})(jQuery);
