<?php
/**
 * View: Virtual Events Metabox LearnDash options Show To section.
 *
 * Override this template in your own theme by creating a file at:
 * [your-theme]/learndash/tec/admin-views/compatibility/event-tickets/show-to.php
 *
 * See more documentation about our views templating system.
 *
 * @since   1.0.4
 *
 * @version 1.0.4
 *
 * @link    http://evnt.is/1aiy
 *
 * @var string   $metabox_id The current metabox id.
 * @var \WP_Post $post       The current event post object, as decorated by the `tribe_get_event` function.
 * @var array<string, string> $meta_values Values of the options added in virtual events show embed to metabox.
 *
 * @see tribe_get_event() For the format of the event object.
 */
?>

<li>
    <label for="<?php echo esc_attr( "{$metabox_id}-show-to-learndash-students" ); ?>">
        <input
            id="<?php echo esc_attr( "{$metabox_id}-show-to-learndash-students" ); ?>"
            name="<?php echo esc_attr( "{$metabox_id}[show-embed-to][]" ); ?>"
            type="checkbox"
            value="<?php echo esc_attr( $meta_values['value_show_embed_to_learndash_students'] ); ?>"
            <?php checked( in_array( $meta_values['value_show_embed_to_learndash_students'], $post->virtual_show_embed_to ) ); ?>
        />
        <?php
        echo esc_html(
            _x(
                'LearnDash Enrolled Students',
                'Show virtual content to LearnDash enrolled students.',
                'learndash-tec'
            )
        );
        ?>
    </label>
    <ul class="learndash-options">
        <li class="option">
            <label for="learndash-option-any">
                <input
                    type="radio"
                    id="learndash-option-any"
                    name="<?php echo esc_attr( "{$metabox_id}[show-embed-to-learndash-students]" ); ?>"
                    value="<?php echo esc_attr( $meta_values['value_show_embed_to_learndash_students_any'] ); ?>"
                    <?php checked( $meta_values['value_show_embed_to_learndash_students_any'], $post->virtual_show_embed_to_learndash_students ); ?>
                >
                <?php esc_html_e( 'Any course or group. (Default)', 'learndash-tec' ); ?>
            </label>
        </li>
        <li class="option">
            <label for="learndash-option-associated">
                <input
                    type="radio"
                    id="learndash-option-associated"
                    name="<?php echo esc_attr( "{$metabox_id}[show-embed-to-learndash-students]" ); ?>"
                    value="<?php echo esc_attr( $meta_values['value_show_embed_to_learndash_students_associated'] ); ?>"
                    <?php checked( $meta_values['value_show_embed_to_learndash_students_associated'], $post->virtual_show_embed_to_learndash_students ); ?>
                >
                <?php
                echo wp_kses(
                    sprintf(
                        __(
                            'Associated course(s) and/or group(s) with this event. <a href="%s">Click here</a> to associate them.',
                            'learndash-tec'
                        ),
                        '#learndash-tec'
                    ),
                    [ 'a' => [ 'href' => [] ] ]
                );
                ?>
            </label>
        </li>
    </ul>
</li>